/**
 * Работа с if-else
 */
let a = 0;

// 1 - Если переменная a равна нулю, то выведите 'Верно', иначе выведите 'Неверно'.
if (a === 0) {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 2 - Если переменная a больше нуля, то выведите 'Верно', иначе выведите 'Неверно'.
if (a > 0) {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 3 - Если переменная a меньше нуля, то выведите 'Верно', иначе выведите 'Неверно'.
if (a < 0) {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 4 - Если переменная a больше или равна нулю, то выведите 'Верно', иначе выведите 'Неверно'.
if (a >= 0) {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 5 - Если переменная a меньше или равна нулю, то выведите 'Верно', иначе выведите 'Неверно'.
if (a <= 0) {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 6 - Если переменная a не равна нулю, то выведите 'Верно', иначе выведите 'Неверно'.
if (a != 0) {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 7 - Если переменная a равна 'test', то выведите 'Верно', иначе выведите 'Неверно'.
if (a == "test") {
    console.log('Верно');
} else {
    console.log('Неверно');
}

// 8 - Если переменная a равна '1' и по значению и по типу, то выведите 'Верно', иначе выведите 'Неверно'.
if (a === "1") {
    console.log('Верно');
} else {
    console.log('Неверно');
}


/**
 * Работа с логическими переменными
 */
const test = true;
// 1 - Если переменная test равна true, то выведите 'Верно', иначе выведите 'Неверно'.Проверьте работу скрипта при test, равном true, false.Напишите два варианта скрипта - с короткой записью и с длинной.
test === true ? console.log("Верно") : console.log("Неверно");
if (test === true) {
    console.log("Верно");
} else {
    console.log("Неверно");
}

// 2 - Если переменная test не равна true, то выведите 'Верно', иначе выведите 'Неверно'.Проверьте работу скрипта при test, равном true, false.Напишите два варианта скрипта - с короткой записью и с длинной.
test !== true ? console.log("Верно") : console.log("Неверно");
if (test !== true) {
    console.log("Верно");
} else {
    console.log("Неверно");
}


/**
 * Работа с && (и) и || (или)
 */
a = 0;
let b = 5;
// 1 - Если переменная a больше нуля и меньше 5-ти, то выведите 'Верно', иначе выведите 'Неверно'.
if (a > 0 && a < 5) {
    console.log("Верно");
} else {
    console.log("Неверно");
}
// 2 - Если переменная a равна нулю или равна двум, то прибавьте к ней 7, иначе поделите ее на 10. Выведите новое значение переменной на экран. 
if (a == 0 || a == 2) {
    console.log(a + 7);
} else {
    console.log(a / 10);
}
// 3 - Если переменная a равна или меньше 1, а переменная b больше или равна 3, то выведите сумму этих переменных, иначе выведите их разность (результат вычитания).
if (a <= 1 && b >= 3) {
    console.log(a + b);
} else {
    console.log(a - b);
}
// 4 - Если переменная a больше 2-х и меньше 11-ти, или переменная b больше или равна 6-ти и меньше 14-ти, то выведите 'Верно', в противном случае выведите 'Неверно'.
if ((a > 2 && a < 11) || (b >= 6 && b < 14)) {
    console.log("Верно");
} else {
    console.log("Неверно");
}


/**
 * На switch-case
 */
// Переменная num может принимать 4 значения: 1, 2, 3 или 4. Если она имеет значение '1', то в переменную result запишем 'зима', если имеет значение '2' – 'весна' и так далее. Решите задачу через switch-case.
const num = 3;
let result;
switch (num) {
    case 1:
        result = "зима";
        break;
    case 2:
        result = "весна";
        break;
    case 3:
        result = "лето";
        break;
    case 4:
        result = "осень";
        break;
}


/**
 * Общие задачи
 */

 // 1 - В переменной day лежит какое-то число из интервала от 1 до 31. Определите в какую декаду месяца попадает это число (в первую, вторую или третью).
 // по идее возможен ещё вариант четвёртой декады, если число 31.
 const day = 21;
 console.log(Math.ceil(day / 10));

// 2 - В переменной month лежит какое-то число из интервала от 1 до 12. Определите в какую пору года попадает этот месяц (зима, лето, весна, осень).
const month = 6;
let period = false; // если будет указано число не в диапазоне - false
if ((month > 0 && month <= 2) || month == 12) {
    period = "зима";
} else if(month <= 5) {
    period = "весна";
} else if (month <= 8) {
    period = "лето";
} else if (month <= 11) {
    period = "осень";
}

// 3 - Дана строка, состоящая из символов, например, 'abcde'. Проверьте, что первым символом этой строки является буква 'a'. Если это так - выведите 'да', в противном случае выведите 'нет'.
const str = 'abcde';
str[0] == 'a' ? console.log('да') : console.log('нет');

// 4 - Дана строка с цифрами, например, '12345'. Проверьте, что первым символом этой строки является цифра 1, 2 или 3. Если это так - выведите 'да', в противном случае выведите 'нет'.
const numStr = '12345';
const numStrFirst = Number(numStr[0]);
if (numStrFirst > 0 && numStrFirst < 4)
    console.log("да");
else
    console.log("нет");

// 5 - Дана строка из 3-х цифр. Найдите сумму этих цифр. То есть сложите как числа первый символ строки, второй и третий.
const numStrSecond = "524";
let numStrSecondSum = 0;
for (let index = 0; index < numStrSecond.length; index++) {
    const num = Number(numStrSecond[index]);
    numStrSecondSum += num;
}
console.log(numStrSecondSum);

// 6 - Дана строка из 6-ти цифр. Проверьте, что сумма первых трех цифр равняется сумме вторых трех цифр. Если это так - выведите 'да', в противном случае выведите 'нет'.
const numStrThird = "524362";
if ((Number(numStrThird[0]) + Number(numStrThird[1]) + Number(numStrThird[2])) == (Number(numStrThird[3]) + Number(numStrThird[4]) + Number(numStrThird[5]))) {
    console.log("да");
} else {
    console.log("нет");
}